Bug 247704 - Review Request: gifsicle - Powerful program for manipulating GIF images and animations
Review Request: gifsicle - Powerful program for manipulating GIF images and a...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 216536
  Show dependency treegraph
 
Reported: 2007-07-10 16:21 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 12:33:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-07-10 16:21:53 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/gifsicle.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/gifsicle-1.48-1.src.rpm
Description: 
Gifsicle is a command-line tool for creating, editing, and getting
information about GIF images and animations.

Some more gifsicle features:

    * Batch mode for changing GIFs in place.
    * Prints detailed information about GIFs, including comments.
    * Control over interlacing, comments, looping, transparency...
    * Creates well-behaved GIFs: removes redundant colors, only uses local
      color tables if it absolutely has to (local color tables waste space
      and can cause viewing artifacts), etc.
    * It can shrink colormaps and change images to use the Web-safe palette
      (or any colormap you choose).
    * It can optimize your animations! This stores only the changed portion
      of each frame, and can radically shrink your GIFs. You can also use
      transparency to make them even smaller. Gifsicle?s optimizer is pretty
      powerful, and usually reduces animations to within a couple bytes of
      the best commercial optimizers.
    * Unoptimizing animations, which makes them easier to edit.
    * A dumb-ass name.

Two other programs are included with gifsicle: gifview is a lightweight
animated-GIF viewer which can show animations as slideshows or in real time,
and gifdiff compares two GIFs for identical visual appearance.
Comment 1 Patrice Dumas 2007-07-10 16:50:28 EDT
* rpmlint is silent
* free software, license included. 
CLP is BSD-like, the remaining is GPL. Some portability files 
don't have copyright holder, are simple and may be considered
public domain, in my opinion.
* follow packaging guidelines
* match upstream
3857d3d920180f2b9bac32c7b1a2e276  gifsicle-1.48.tar.gz
* Sane Provides
* %files section right
* build and work fine on devel

You should keep the timestamp of the source tarball, for example
with wget -N or spectool -g.

$ ls -l gifsicle-1.48.tar.gz ../SOURCES/gifsicle-1.48.tar.gz 
-rw-rw-r-- 1 dumas dumas 248110 mar 17 00:00 gifsicle-1.48.tar.gz
-rw-r--r-- 1 dumas dumas 248110 jui 10 21:35 ../SOURCES/gifsicle-1.48.tar.gz

This is not a blocker.

You could consider putting gifview in a separate package if
you want to avoid the dependency on X libraries, but I think
this should be left to you.

APPROVED
Comment 2 Orion Poplawski 2007-07-10 17:01:57 EDT
(In reply to comment #1)
> You should keep the timestamp of the source tarball, for example
> with wget -N or spectool -g.

Fixed.

> You could consider putting gifview in a separate package if
> you want to avoid the dependency on X libraries, but I think
> this should be left to you.

Good idea, I like that.  I've updated the spec and src.rpm to produce a separate
"gifview" package:

Spec URL: http://www.cora.nwra.com/~orion/fedora/gifsicle.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/gifsicle-1.48-2.src.rpm
Comment 3 Orion Poplawski 2007-07-10 17:04:24 EDT
New Package CVS Request
=======================
Package Name: gifsicle
Short Description: Powerful program for manipulating GIF images and animations
Owners: orion
Branches: F-7 FC-6 EL-5
InitialCC: 
Comment 4 Patrice Dumas 2007-07-10 17:09:42 EDT
The gifview description should end with a dot, instead of a comma.

Another comment is that I think the ChangeLog is too detailed to
be usefull, but this is also left to you.
Comment 5 Orion Poplawski 2007-07-10 17:14:31 EDT
(In reply to comment #4)
> The gifview description should end with a dot, instead of a comma.

Oops, fixed.

> Another comment is that I think the ChangeLog is too detailed to
> be usefull, but this is also left to you.

Probably, but I'll keep it.
Comment 6 Kevin Fenzi 2007-07-10 19:08:53 EDT
cvs done.
Comment 7 Orion Poplawski 2007-07-11 12:33:58 EDT
Imported and built for devel.  Added to comps.  Closing.

Note You need to log in before you can comment on or make changes to this bug.